Get component templates

  • GET /_component_template/{name}
  • GET /_component_template
Auth

Get information about component templates.

Required privileges

Cluster privileges manage_index_templates

Path parameters

name string optional

Name of component template to retrieve. Wildcard (*) expressions are supported.

Leave it out to use /_component_template.

Query parameters

flat_settings boolean · default: false

If true, returns settings in flat format.

settings_filter union string | string[]

Filter out results, for example to filter out sensitive information. Supports wildcards or full settings keys

include_defaults boolean · default: false

Return all default configurations for the component template

local boolean · default: false deprecated

If true, the request retrieves information from the local node only. If false, information is retrieved from the master node.

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
component_templates object[] required
name string required
component_template object required
template object required
_meta object
version number
settings map string to object
aliases map string to object
version number
_meta object
deprecated boolean
created_date union oneOf

Date and time when the component template was created. Only returned if the human query parameter is true.

One of: string or number
created_date_millis number

Date and time when the component template was created, in milliseconds since the epoch.

modified_date union oneOf

Date and time when the component template was last modified. Only returned if the human query parameter is true.

One of: string or number
modified_date_millis number

Date and time when the component template was last modified, in milliseconds since the epoch.